<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>nest-test documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="./images/favicon.ico">
	      <link rel="stylesheet" href="./styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="./" class="navbar-brand">nest-test documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content overview">
                   <div class="content-data">


<ol class="breadcrumb">
    <li>Overview</li>
</ol>
  
<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="504pt" height="287pt"
 viewBox="0.00 0.00 504.00 287.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 283)">
<title>dependencies</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-283 500,-283 500,4 -4,4"/>
<text text-anchor="start" x="227.0091" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00" fill="#000000">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="14,-10 14,-30 34,-30 34,-10 14,-10"/>
<text text-anchor="start" x="37.629" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="127,-10 127,-30 147,-30 147,-10 127,-10"/>
<text text-anchor="start" x="150.7251" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="213,-10 213,-30 233,-30 233,-10 213,-10"/>
<text text-anchor="start" x="236.7812" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="310,-10 310,-30 330,-30 330,-10 310,-10"/>
<text text-anchor="start" x="333.6732" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="406,-10 406,-30 426,-30 426,-10 406,-10"/>
<text text-anchor="start" x="429.7258" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_AppModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="101,-146 101,-271 379,-271 379,-146 101,-146"/>
</g>
<g id="clust3" class="cluster">
<title>cluster_AppModule_imports</title>
<polygon fill="none" stroke="#000000" points="247,-154 247,-206 371,-206 371,-154 247,-154"/>
</g>
<g id="clust6" class="cluster">
<title>cluster_AppModule_providers</title>
<polygon fill="none" stroke="#000000" points="109,-154 109,-206 239,-206 239,-154 109,-154"/>
</g>
<g id="clust7" class="cluster">
<title>cluster_ProductsModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="223,-70 223,-138 395,-138 395,-70 223,-70"/>
</g>
<g id="clust12" class="cluster">
<title>cluster_ProductsModule_providers</title>
<polygon fill="none" stroke="#000000" points="231,-78 231,-130 387,-130 387,-78 231,-78"/>
</g>
<!-- ProductsModule -->
<g id="node1" class="node">
<title>ProductsModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="363.0438,-198 360.0438,-202 339.0438,-202 336.0438,-198 254.9562,-198 254.9562,-162 363.0438,-162 363.0438,-198"/>
<text text-anchor="middle" x="309" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">ProductsModule</text>
</g>
<!-- AppModule -->
<g id="node2" class="node">
<title>AppModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="282.6571,-263 279.6571,-267 258.6571,-267 255.6571,-263 199.3429,-263 199.3429,-227 282.6571,-227 282.6571,-263"/>
<text text-anchor="middle" x="241" y="-240.8" font-family="Times,serif" font-size="14.00" fill="#000000">AppModule</text>
</g>
<!-- ProductsModule&#45;&gt;AppModule -->
<g id="edge1" class="edge">
<title>ProductsModule&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M268.7784,-198.1061C268.7784,-198.1061 268.7784,-216.991 268.7784,-216.991"/>
<polygon fill="#000000" stroke="#000000" points="265.2785,-216.9909 268.7784,-226.991 272.2785,-216.991 265.2785,-216.9909"/>
</g>
<!-- AppService -->
<g id="node3" class="node">
<title>AppService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="174" cy="-180" rx="56.7406" ry="18"/>
<text text-anchor="middle" x="174" y="-175.8" font-family="Times,serif" font-size="14.00" fill="#000000">AppService</text>
</g>
<!-- AppService&#45;&gt;AppModule -->
<g id="edge2" class="edge">
<title>AppService&#45;&gt;AppModule</title>
<path fill="none" stroke="#000000" d="M214.896,-192.5327C214.896,-192.5327 214.896,-216.8507 214.896,-216.8507"/>
<polygon fill="#000000" stroke="#000000" points="211.3961,-216.8506 214.896,-226.8507 218.3961,-216.8507 211.3961,-216.8506"/>
</g>
<!-- ProductService -->
<g id="node4" class="node">
<title>ProductService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="309" cy="-104" rx="70.0616" ry="18"/>
<text text-anchor="middle" x="309" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ProductService</text>
</g>
<!-- ProductService&#45;&gt;ProductsModule -->
<g id="edge3" class="edge">
<title>ProductService&#45;&gt;ProductsModule</title>
<path fill="none" stroke="#000000" d="M309,-122.0109C309,-122.0109 309,-151.855 309,-151.855"/>
<polygon fill="#000000" stroke="#000000" points="305.5001,-151.8549 309,-161.855 312.5001,-151.855 305.5001,-151.8549"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
  
<div class="container-fluid overview">
    <div class="row">
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-archive"></span></h4>
                    <p class="card-text">
                        <a href="./modules.html">2 Modules</a>
                    </p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-swap"></span></h4>
                    <p class="card-text">2 Controllers</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-md-arrow-round-down"></span></h4>
                    <p class="card-text">2 Injectables</p>
                </div>
            </div>
        </div>
        <div class="col-sm-3">
            <div class="card text-center">
                <div class="card-block">
                    <h4 class="card-title"><span class="icon ion-ios-paper"></span></h4>
                    <p class="card-text">1 Class</p>
                </div>
            </div>
        </div>
    </div>
</div>
<script src="js/libs/svg-pan-zoom.min.js"></script>
<script src="js/svg-pan-zoom.controls.js"></script> 











                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 0;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'overview';
            var COMPODOC_CURRENT_PAGE_URL = 'overview.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="./js/libs/custom-elements.min.js"></script>
       <script src="./js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="./js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="./js/menu-wc.js" defer></script>

       <script src="./js/libs/bootstrap-native.js"></script>

       <script src="./js/libs/es6-shim.min.js"></script>
       <script src="./js/libs/EventDispatcher.js"></script>
       <script src="./js/libs/promise.min.js"></script>
       <script src="./js/libs/zepto.min.js"></script>

       <script src="./js/compodoc.js"></script>

       <script src="./js/tabs.js"></script>
       <script src="./js/menu.js"></script>
       <script src="./js/libs/clipboard.min.js"></script>
       <script src="./js/libs/prism.js"></script>
       <script src="./js/sourceCode.js"></script>
          <script src="./js/search/search.js"></script>
          <script src="./js/search/lunr.min.js"></script>
          <script src="./js/search/search-lunr.js"></script>
          <script src="./js/search/search_index.js"></script>
       <script src="./js/lazy-load-graphs.js"></script>


    </body>
</html>
